<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Chat Client 1</title>
</head>
<body>
    <br>
    Client1 <textarea id="type" name="type" rows="1" cols="30" style= "resize: none;"></textarea>
    <button onclick="sendMessage()">Send Msg</button>
    <br><br>
    <textarea id="w3review" name="w3review" rows="40" cols="70" style= "resize: none;"></textarea>
</body>
<script>


    // Create WebSocket connection.
    const socket = new WebSocket('ws://localhost:3000');

    // Connection opened
    socket.addEventListener('open', function (event) {
        console.log('Connected to WS Server')
    });

    // Listen for messages
    socket.addEventListener('message', function (event) {
        var box = document.getElementById('w3review');
        box.value += '\n'+ event.data;
    });

    const sendMessage = () => {

        var box = document.getElementById('type');
        socket.send(box.value);

        let spaces = ""
        for (let index = 0; index < 65 - box.value.length  ; index++) {
           spaces += " ";
        } 
        let resultStr =  spaces + box.value;

        var textArea = document.getElementById('w3review');
        textArea.value += '\n' + resultStr;
        box.value = "";
    }
</script>
</html>